#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

string moonSum(const string& a, const string& b) {
    string result;
    size_t L = max(a.length(), b.length());

    string A = string(L - a.length(), '0') + a;
    string B = string(L - b.length(), '0') + b;

    for (size_t i = 0; i < L; ++i) {
        result += max(A[i], B[i]);
    }

    return result;
}

string moonMult(const string& a, const string& b) {
    string result(a.length() + b.length()-1, '0');

    for (size_t i = 0; i < b.length(); ++i) {
        string part(a.length() + b.length()-1, '0');
        for (size_t j = 0; j < a.length(); ++j) {
            part[i + j] = min(a[j], b[i]);
        }
        result = moonSum(result, part);
    }
    result.erase(0, result.find_first_not_of('0'));
    return result.empty() ? "0" : result;
}

int main() {
    string a, b;
    cin >> a >> b;

    cout << moonSum(a, b) << endl;
    cout << moonMult(a, b);

    return 0;
}
